Bug 810503 - Deployment of designer.war to SOA 5.2 failed
Deployment of designer.war to SOA 5.2 failed
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Configuration (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
medium Severity unspecified
: ER8
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 09:17 EDT by Sona Mala
Modified: 2012-05-29 02:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logger of server (2.72 MB, text/x-log)
2012-04-06 09:18 EDT, Sona Mala
no flags Details
the exception from server.log (7.11 KB, text/plain)
2012-04-06 09:18 EDT, Sona Mala
no flags Details
Current result (46.16 KB, image/png)
2012-04-06 09:19 EDT, Sona Mala
no flags Details
Right result (122.12 KB, image/png)
2012-04-06 09:20 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2012-04-06 09:17:18 EDT
Description of problem:
When server SOA 5.2 starts, an exception occurs (is attached).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Server's profile contents designer.war in "deploy" folder
2. Start server, open browser, open jboss-brms
3. Open any BPMN process
  
Actual results:
there should be a canvas and tools for creating a BPMN process (screenshot is attached)

Expected results:
there is HTTP status 404 (screenshot is attached)


Additional info:
Comment 1 Sona Mala 2012-04-06 09:18:10 EDT
Created attachment 575748 [details]
Logger of server
Comment 2 Sona Mala 2012-04-06 09:18:57 EDT
Created attachment 575749 [details]
the exception from server.log
Comment 3 Sona Mala 2012-04-06 09:19:36 EDT
Created attachment 575750 [details]
Current result
Comment 4 Sona Mala 2012-04-06 09:20:33 EDT
Created attachment 575751 [details]
Right result
Comment 7 Jiri Locker 2012-04-25 08:29:00 EDT
It seems that Bugzilla changed components of this issue to components of bug 810503 when I linked this issue from there. I'm fixing the component value to Configuration.
Comment 8 Ryan Zhang 2012-04-27 08:10:07 EDT
What is the version of  designer.war? where is the designer.war get from ?

I test against designer.war and jboss-brms.war from ER5 and ER6 on soa-p 5.2. Both are fine. I didn't see the error reported。
Comment 9 Prakash Aradhya 2012-04-30 11:30:08 EDT
Does this still happen in ER6 ?
Comment 11 Lukáš Petrovický 2012-05-02 02:17:07 EDT
(In reply to comment #9)
> Does this still happen in ER6 ?
Comment 12 Sona Mala 2012-05-03 03:29:00 EDT
I tested it again, maybe there is some mistake. There are steps to reproduction:

1. Download from http://jawa05.englab.brq.redhat.com/candidate/BRMS-5.3.0-ER6/
   deployable version.
2. Download from http://porkchop.devel.redhat.com/released/JBossSOAP/5.2.0/ 
   version: soa-p-5.2.0.GA.zip
3. Copy from "deployable" zip-file: jboss-jbpm-console.zip/designer.war and jboss-brms-manager.zip/jboss-brms.war to SOA-5.2/jboss-as/server/default/deploy/*.war
4. Run server
    - occur exceptions
    - designer is unreachable in Guvnor

I use DEFAULT profile.
Comment 13 Sona Mala 2012-05-03 04:25:54 EDT
after removing libraries:
  - xercesImpl-2.9.1.jar
  - xml-apis-1.3.04.jar
  - xmlParserAPIs-2.0.2.jar
from designer.war/WEB-INF/lib this problem disappears.

The server starts without exceptions and it seems that the designer works without problems.
Comment 14 Ryan Zhang 2012-05-04 03:50:14 EDT
Yes, Sona, it's true, this issue occures to 5.2.0.GA.
Sorry for confusion, I tested it with a small  version later than 5.2.0.GA which I didn't noticed. 

This issue  is not happen to SOA 5.3.0 ER versions too.
Comment 15 Ryan Zhang 2012-05-17 06:28:03 EDT
Had a futher look that, it should be enough to remove 

xercesImpl-2.9.1.jar
xml-apis-1.3.04.jar

The designer.war also deployed  fine with BRMS-standalone, EWS if we removed the two jars.

Asking Tihomir that if it is possible to remove the xercesImpl-2.9.1.jar as deps or exclude it in wars.
Comment 17 Tihomir Surdilovic 2012-05-17 07:33:55 EDT
If this does not break deployment in AS 5 since the community war targets that then sure I can remove in the code, if it does I would ask for product build to remove it during its work. Will test today and add more comments here.

Thanks.
Comment 18 Ryan Zhang 2012-05-18 08:05:10 EDT
(In reply to comment #15)
> Had a futher look that, it should be enough to remove 
> 
> xercesImpl-2.9.1.jar
> xml-apis-1.3.04.jar
Sorry, this is wrong. Sona's comments 13 is correct.
xmlParserAPIs-2.0.2.jar is also need to remove.
It would cause the runtime CCE problem.

Tihomir, is this fixed in upstream or this still required patch on productization level.?
I saw this status has been in Modified status.

> 
> The designer.war also deployed  fine with BRMS-standalone, EWS if we removed
> the two jars.
> 
> Asking Tihomir that if it is possible to remove the xercesImpl-2.9.1.jar as
> deps or exclude it in wars.
Comment 19 Tihomir Surdilovic 2012-05-18 10:43:22 EDT
I think they should be removed by the product build.
Comment 20 Ryan Zhang 2012-05-21 05:30:45 EDT
(In reply to comment #19)
> I think they should be removed by the product build.
Ok, I would do .
Let me update the status to ASSIGNED .
Comment 21 Ryan Zhang 2012-05-22 05:59:07 EDT
Excluded the following file in the jboss-jbpm-console.zip:
 <exclude>WEB-INF/lib/slf4j*</exclude>
 <exclude>WEB-INF/lib/log4j*</exclude>
 <exclude>WEB-INF/lib/xml-apis*</exclude>
 <exclude>WEB-INF/lib/xercesImpl*</exclude>
 <exclude>WEB-INF/lib/xmlParserAPIs*</exclude>

Change committed in /trunk/brms-p/src/main/assembly/jbpm-console.zip.xml revision: 11098
Comment 22 Ryan Zhang 2012-05-25 05:08:08 EDT
Please verify them on ER8.

Note You need to log in before you can comment on or make changes to this bug.